View Issue Details

IDProjectCategoryView StatusLast Update
0004873Talerotherpublic2017-06-06 14:18
ReporterMarcello StanisciAssigned ToFlorian Dold 
PriorityhighSeveritytextReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004873: Update contract fields
DescriptionBoth frontends have to generate their sketches such that:

 1. transaction ID has now a free-form. Any alphanumeric identificator works.
 2. repurchase_correlation_id obeys to the semantic explained in 0004871.
TagsNo tags attached.

Relationships

related to 0004877 closedMarcello Stanisci migrate to new contract-related terminology 

Activities

Florian Dold

2017-02-13 03:09

manager   ~0011721

Last edited: 2017-02-13 03:10

View 2 revisions

Done in the wallet with commit 08d4a5b625, in frontends with 0e77e34.

Christian Grothoff

2017-02-13 13:47

manager   ~0011734

Please update documentation as well...

Florian Dold

2017-03-08 03:38

manager   ~0011903

Fixed in api.git around d39bbc62, and AFAIK the tutorials are also up-to-date with respect to this.

Issue History

Date Modified Username Field Change
2017-01-30 11:11 Marcello Stanisci New Issue
2017-01-30 11:11 Marcello Stanisci Status new => assigned
2017-01-30 11:11 Marcello Stanisci Assigned To => Marcello Stanisci
2017-01-30 11:33 Marcello Stanisci Description Updated View Revisions
2017-02-01 13:50 Christian Grothoff Severity minor => major
2017-02-01 13:50 Christian Grothoff Product Version => SVN HEAD
2017-02-01 13:50 Christian Grothoff Target Version => 0.3
2017-02-01 13:50 Christian Grothoff Description Updated View Revisions
2017-02-04 10:54 Marcello Stanisci Priority normal => high
2017-02-04 10:56 Marcello Stanisci Severity major => minor
2017-02-10 17:56 Marcello Stanisci Assigned To Marcello Stanisci => Florian Dold
2017-02-13 03:09 Florian Dold Status assigned => resolved
2017-02-13 03:09 Florian Dold Resolution open => fixed
2017-02-13 03:09 Florian Dold Note Added: 0011721
2017-02-13 03:10 Florian Dold Note Edited: 0011721 View Revisions
2017-02-13 13:47 Christian Grothoff Severity minor => text
2017-02-13 13:47 Christian Grothoff Status resolved => feedback
2017-02-13 13:47 Christian Grothoff Resolution fixed => reopened
2017-02-13 13:47 Christian Grothoff Note Added: 0011734
2017-03-02 08:04 Christian Grothoff Relationship added related to 0004877
2017-03-08 03:38 Florian Dold Status feedback => resolved
2017-03-08 03:38 Florian Dold Resolution reopened => fixed
2017-03-08 03:38 Florian Dold Note Added: 0011903
2017-05-03 02:16 Christian Grothoff Fixed in Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed